Package org.linphone.mediastream.video.capture

# Class AndroidVideoApi9JniWrapper

java.lang.Object
org.linphone.mediastream.video.capture.AndroidVideoApi9JniWrapper

public class AndroidVideoApi9JniWrapper extends Object

## Constructor Summary

Constructors
Constructor
Description
`AndroidVideoApi9JniWrapper()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`detectCameras(int[] indexes, int[] frontFacing, int[] orientation)`
`static int`
`detectCamerasCount()`
`static int[]`
`selectNearestResolutionAvailable(int cameraId, int requestedW, int requestedH)`
Return the hw-available available resolution best matching the requested one.
`static void`
`setPreviewDisplaySurface(Object cam, Object surf)`
`static Object`
`startRecording(int cameraId, int width, int height, int fps, int rotation, long nativePtr)`
`static void`
`stopRecording(Object cam)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AndroidVideoApi9JniWrapper

public AndroidVideoApi9JniWrapper()

## Method Details

### detectCamerasCount

public static int detectCamerasCount()

### detectCameras

public static int detectCameras(int[] indexes, int[] frontFacing, int[] orientation)

### selectNearestResolutionAvailable

public static int[] selectNearestResolutionAvailable(int cameraId, int requestedW, int requestedH)
Return the hw-available available resolution best matching the requested one. Best matching meaning : - try to find the same one - try to find one just a little bigger (ex: CIF when asked QVGA) - as a fallback the nearest smaller one

Parameters:
  `cameraId` - Camera id
  `requestedW` - Requested video size width
  `requestedH` - Requested video size height
Returns:
  int[width, height] of the chosen resolution, may be null if no resolution can possibly match the requested one

### startRecording

public static Object startRecording(int cameraId, int width, int height, int fps, int rotation, long nativePtr)

### stopRecording

public static void stopRecording(Object cam)

### setPreviewDisplaySurface

public static void setPreviewDisplaySurface(Object cam, Object surf)